Subject: bug#52089: closed (Re: bug#52089: [core-updates-frozen] geeqie fails to launch)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 08 Dec 2021 21:38:02 +0000

Your bug report

#52089: [core-updates-frozen] geeqie fails to launch

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52089: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52089
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52089: [core-updates-frozen] geeqie fails to launch
From: Ludovic Courtès <[email-masked]>
To: John Kehayias <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 08 Dec 2021 22:37:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi John,

John Kehayias <[email-masked]> skribis:

> I had reported this on IRC earlier and think I've found the fix. The upstream issue is https://github.com/BestImageViewer/geeqie/issues/829  and leads to the following commit that should fix it https://github.com/BestImageViewer/geeqie/commit/f34ea0700048c27319a2256408171adda32a7580
>
> I'm attaching this commit as a patch for our current version (just cherry-picked this commit) to try. I tried it with the following command
>
> guix shell geeqie --with-patch=geeqie=0001-Fix-829-segfault-with-clutter-gtk.patch
>
> And it started up for me without the error or changing options. I'm not sure if this is related to some other issues that we discussed on IRC (a segfault on icon view?), but at least this fixes the startup problem. Since this is fixed upstream, on the next version update we should be able to remove this patch.

I can confirm that the patch fixes the issue for me.

I’ve added it to the ‘geeqie’ package, thank you!

Ludo’.

Subject: [core-updates-frozen] geeqie fails to launch
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Wed, 24 Nov 2021 23:31:31 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

The failure looks like this:

--8<---------------cut here---------------start------------->8---
$ geeqie

(geeqie:6216): Gdk-ERROR **: 23:30:16.057: The program 'geeqie' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 180 error_code 2 request_code 152 (GLX) minor_code 24)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trace/breakpoint trap

$ GDK_SYNCHRONIZE= geeqie

(geeqie:6217): Clutter-CRITICAL **: 23:30:26.345: Unable to initialize Clutter: Unable to initialize the Clutter backend: no available drivers found.
Can't initialize clutter-gtk.
Start Geeqie with the option "geeqie --disable-clutter"
--8<---------------cut here---------------end--------------->8---

The suggested workaround (geeqie --disable-clutter) works.

Thanks,

Maxim